"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ModalFull = /*#__PURE__*/(0, _react.forwardRef)((props, ref) => {
  const [isVisible, setIsVisible] = (0, _react.useState)(false);
  (0, _react.useImperativeHandle)(ref, () => {
    return {
      show: () => setIsVisible(true),
      hide: () => setIsVisible(false)
    };
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    transparent: true,
    visible: isVisible,
    animationType: "slide"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, props.children));
});
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff'
  }
});
var _default = exports.default = ModalFull;
//# sourceMappingURL=ModalFull.js.map