/// <reference types="react" />
/**
 *
 * @property {string} title title of header
 * @property {string} titleColor color of title header
 * @property {string} titleTextType type title header, bold, regular or medium text
 * @property {boolean} iconBack display icon back or not
 * @property {object} iconBackStyle custome style for icon back
 * @property {() => void} iconBackOnPress will be invoke when click icon back
 * @property {string} iconRight path for icon right
 * @property {object} iconRightStyle custome style for icon right
 * @property {() => void} iconRightOnPress will be invoke when click icon right
 * @property {JSX.Element} viewRight custom view for right side header
 * @property {object} containerStyle custome style for container header
 * @property {number} titleSize size of title header
 */
interface props {
    titleHeader: string;
    titleSize: number;
    titleColor: string;
    titleTextType: string;
    iconBack: boolean;
    iconBackStyle: any;
    iconBackOnPress: () => void;
    iconRight: any;
    iconRightStyle: any;
    iconRightOnPress: () => void;
    viewRight: any;
    containerStyle: any;
}
declare const Header: ({ titleHeader, titleSize, titleColor, titleTextType, iconBack, iconBackStyle, iconBackOnPress, iconRight, iconRightStyle, iconRightOnPress, viewRight, containerStyle, }: props) => JSX.Element;
export default Header;
//# sourceMappingURL=Header.d.ts.map