/// <reference types="react" />
/**
 * @property {JSX.Element} children custom view for child
 * @property {() => void} onPress will be invoke when click component
 * @property {boolean} disabled disabled button or not
 * @property {object} style custome style for component
 * @property {string} testID test id for automation test
 */
interface props {
    children: any;
    onPress: () => void;
    disabled: boolean;
    style: object;
    testID: string;
}
export declare const Touchable: ({ children, onPress, disabled, style, testID, }: props) => JSX.Element;
export {};
//# sourceMappingURL=Touchable.d.ts.map